package de.upb.infexba.util;

/**
 * <p>
 * Enumeration of common period-based acronyms to be found
 * in German news articles.
 * <p>
 * TODO This enumeration is not complete yet!
 * 
 * @author hwachsmuth
 *
 */
public enum Acronym {
	
	MILLION("Mio."), MILLIARDE("Mrd."), MILLIARDE2("Mill."), BILLION("Bill."),
	
	DR("Dr."), PROF("Prof."), HERR("Hr."), FRAU("Fr."),
	
	CIRCA("ca."), RUND("rd."), 
	
	BZW("bzw."), GGF("ggf."), EVTL("evtl."), EVTL2("ev."),
	
	USW("usw."), ETC("etc."),
	
	DAS_HEISST("d.h."), ZB("z.B."), BSPW("bspw."),
	
	ARTIKEL("Art."), ABSATZ("Abs."), PARAGRAPH("Par."), ERWEITERT("erw.");
	
	/**
	 * Every acronym has a string as value
	 */
	private String acronym;
	
	/**
	 * Constructor.
	 * 
	 * @param acronym The value of the acronym
	 */
	private Acronym(String acronym){
		this.acronym = acronym;
	}

	/**
	 * Getter for the value of the acronym
	 * @return
	 */
	public String getAcronym() {
		return acronym;
	}
	
	
}
