package de.upb.infexba.util;

/**
 * A Wrapper for tuples of the form (String, Double).
 * 
 * @author kabu
 * 
 */
public class Tuple implements Comparable<Tuple> {

	String string;

	Double value;

	public Tuple(String str, Double val) {
		string = str;
		value = val;
	}
	
	public String getString(){
		return this.string;
	}

	public Double getValue(){
		return this.value;
	}
	
	public int compareTo(Tuple t) {
		if (value < t.value)
			return +1;
		else if (value > t.value)
			return -1;
		else
			return 0;
	}
}